summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2018-02-10 15:01:10 (GMT)
committer Slávek Banko <slavek.banko@axis.cz>2018-02-10 15:01:10 (GMT)
commit4d31e7d405ea7bf530b3d3dd136abff3da52b7ed (patch)
tree081dc90c58213ba56212f41d4924a354c9ea35ed
parent051acc7df5ff02d7bb1ad92b9be95efdc553d6c0 (diff)
downloadtdelibs-4d31e7d4.zip
tdelibs-4d31e7d4.tar.gz
Temporarily disable PKCS for build with OpenSSL >= 1.1
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
-rw-r--r--CMakeLists.txt10
1 files changed, 8 insertions, 2 deletions
diff --git a/CMakeLists.txt b/CMakeLists.txt
index ecacb26..80d66bc 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -687,9 +687,15 @@ if( WITH_PKCS )
message( STATUS "Found OpenSC PKCS11 provider: ${OPENSC_PKCS11_PROVIDER_LIBRARY}" )
endif( OPENSC_PKCS11_PROVIDER_LIBRARY )
if( NOT OPENSC_PKCS11_PROVIDER_FOUND )
- tde_message_fatal( "PKCS is requested, but not OpenSC PKCS11 provider was not found on your system" )
+ tde_message_fatal( "PKCS is requested, but no OpenSC PKCS11 provider was found on your system" )
endif( NOT OPENSC_PKCS11_PROVIDER_FOUND )
- set( HAVE_PKCS 1 )
+ pkg_search_module( SSL openssl )
+ if( NOT SSL_FOUND OR SSL_VERSION VERSION_LESS "1.1" )
+ set( HAVE_PKCS 1 )
+ else( )
+ set( WITH_PKCS OFF CACHE INTERNAL "PKCS support is not ready for OpenSSL >= 1.1" FORCE )
+ message( WARNING "\nPKCS support is not ready for OpenSSL >= 1.1" )
+ endif( )
endif( )